/* breakpoint at tablets,ipads*/
@media screen and (max-width:933px) {
    .header-text {
        min-width: 100%;
        font-size: 40px;
    }

    nav ul {
        padding-left: 0px;
        margin-top: -10px;
    }

    main {
        margin-top: -20px;
    }
}

/* For Low resolution Tablets,mobile landscap size.. */
@media (min-width: 481px) and (max-width: 767px) {
    nav ul li {
        font-size: 20px;
    }

    .main-img {
        height: 150px;
        overflow-y: hidden;
    }

    .weekdays-weather-report img {
        width: 100px;
    }

    footer ul {
        display: flex;
        flex-direction: row;
        flex-wrap: nowrap;
        justify-content: space-between;
        border-bottom: 1px solid #A9A9A9;
    }
}

/* breakpoint at low resolution tablet,landscap mobile */
@media screen and (max-width:617px) {
    .header-text {
        font-size: 30px;
    }

    .header-icon {
        min-width: 50px;
        min-height: 50px;
    }
}

/* for smart phone device.. */
@media (min-width: 320px) and (max-width: 480px) {
    .header-text {
        font-size: 20px;
    }

    nav ul li {
        font-size: 15px;
    }

    .main-img {
        height: 100px;
        overflow-y: hidden;
    }

    .weather-information-main {
        margin: 0px;
    }

    .weather-information-main img {
        position: relative;
        left: -30px;
    }

    .weather-information-main p {
        position: relative;
        top: -70px;
        left: -50px;
        font-size: 30px;
    }

    .weekdays-weather-report img {
        width: 70px;
    }

    footer ul {
        display: flex;
        flex-direction: row;
        flex-wrap: nowrap;
        justify-content: space-between;
        text-align: center;
        border-bottom: 1px solid #A9A9A9;
    }

    footer ul li a {
        width: auto;
    }
}

/* breakpoint at mobile screen size.. */
@media (max-width:380px) {
    nav ul li {
        font-size: 10px;
    }

    .fig-content {
        clear: both;
    }

    .fig-content h4 {
        position: relative;
        top: 15px;
    }

    .article-content-image img {
        width: 100%;
    }
}

/* Below mobile screen size.. */
@media (max-width:320px) {
    header {
        padding: 15px;
    }

    .header-text {
        font-size: 15px !important;
    }

    .main-img {
        width: 100%;
        margin: 0px;
        height: 70px;
        overflow-y: hidden;
    }

    .weekdays-weather-report img {
        width: 30px;
    }

    .weather-information-main img {
        display: block;
    }

    .weather-information-main p {
        text-align: center;
        display: block;
        position: relative;
        top: -30px;
        font-size: 20px;
    }

    .weather-information-main p span {
        font-size: 15px;
        margin-left: -2px;
    }

    .weather-location {
        height: 200px;
    }
}